<?php

namespace App\Entities\Equipment;

use App\Models\Equipment\SwitchModel;

class SwitchEntity extends EquipmentEntity
{
    const PK    = SwitchModel::PK;
    const TITLE = SwitchModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    final public function  getClientInfoUID(): string|null
    {
        return $this->attributes['clientinfo_uid'];
    }
    final public function  getServiceInfoUID(): string|null
    {
        return $this->attributes['serviceinfo_uid'];
    }
    final public function  getServerInfoUID(): string|null
    {
        return $this->attributes['serverinfo_uid'];
    }
    //기본기능
    public function getPrice(): int
    {
        return $this->attributes['price'] ?? 0;
    }
}
